#ifndef OPERATORMANAGERINTERFACE_H
#define OPERATORMANAGERINTERFACE_H

#include <qmap.h>
#include "OperatorInterface.h"

/// General abstract classe for object generating operators.
class OperatorManagerInterface {
public :

  /// Map for quering OperatorManagers with operator's names (like "union")
  typedef QMap<QString,OperatorManagerInterface*> OperatorManagerMap;

  /// Variant of the "Abstract Factory" design pattern.
  virtual OperatorInterface * createOperator () = 0;
};

#endif // OPERATORMANAGERINTERFACE_H
