#include <qlabel.h>
#include <qlayout.h>

#include "RBFConfigurationWidget.h"

static const double RBF_THRESHOLD_MIN = 0.000001;
static const double RBF_THRESHOLD_MAX = 0.01;
static const double RBF_THRESHOLD_STEP = 0.0001;
static const int RBF_THRESHOLD_NB_DEC = 6;
static const double RBF_THRESHOLD_DEFAULT_VALUE = 0.00001;

RBFConfigurationWidget::RBFConfigurationWidget (QWidget * parent)
  : QWidget (parent) {

  QLabel * rbfThresholdLabel = new QLabel ("Threshold : ", this);
  rbfThresholdDbSpinBox = new DoubleSpinBox (RBF_THRESHOLD_MIN, RBF_THRESHOLD_MAX,
					     RBF_THRESHOLD_NB_DEC, RBF_THRESHOLD_STEP, 
					     RBF_THRESHOLD_DEFAULT_VALUE, this);
  rbfValidator = new QDoubleValidator (RBF_THRESHOLD_MIN, RBF_THRESHOLD_MAX, RBF_THRESHOLD_NB_DEC, this);
  rbfThresholdDbSpinBox->setValidator (rbfValidator);
  
  QHBoxLayout * rbfHBoxLayout = new QHBoxLayout (this);
  rbfHBoxLayout->addWidget (rbfThresholdLabel);
  rbfHBoxLayout->addWidget (rbfThresholdDbSpinBox);  
  rbfHBoxLayout->activate ();
}
