#ifndef RBFCONFIGURATIONWIDGET_H
#define RBFCONFIGURATIONWIDGET_H

#include <qvalidator.h>

#include "UITools/DoubleSpinBox.h"

/// Class for the widget of configuration of the primitive 'RBF'
/**
 * This widget allows to do the settings of the primitive 'RBF'.
 */
class RBFConfigurationWidget : public QWidget {
  
  Q_OBJECT
  
public:

  /// The constructor
  RBFConfigurationWidget (QWidget * parent = NULL);

  /// The destructor
  virtual ~RBFConfigurationWidget () {}

  // ********
  // Services
  // ********
  
  inline double getThreshold () const { return rbfThresholdDbSpinBox->value ();}
 
private:

  DoubleSpinBox * rbfThresholdDbSpinBox; ///< the SpinBox where the parameter 'threshold' is configure 
  QDoubleValidator * rbfValidator;
};

#endif // RBFCONFIGURATIONWIDGET_H
